<dx-form class='generateForm' #generateForm [colCount]="1" [formData]='edit.model' [showValidationSummary]="false"
  validationGroup="gdValidation" labelLocation="left">
  <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
    <dxi-item [label]="{text: 'Entitate'}" dataField="entityId" editorType="dxSelectBox" [editorOptions]="{dataSource: dspEntities, valueExpr: 'id', displayExpr: 'name', searchEnabled: true, onValueChanged: onEntityChange }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: 'Punct de lucru'}" dataField="workCenterId" editorType="dxSelectBox" [editorOptions]="{ dataSource: dspWorkCenter, valueExpr: 'id', displayExpr: 'name', onInitialized: onWorkCenterInit, onValueChanged: onWorkCenterChange, searchEnabled: true, disabled: !edit.model.entityId }">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>

  <dxi-item itemType='group' [colCount]='16'>
    <dxi-item [colSpan]='8' [label]="{text: 'Cod deșeu'}" [editorOptions]="{   }">
      <div *dxTemplate='let data of "template"'>
        <dx-select-box [dataSource]='dsWasteType' valueExpr='id' displayExpr='code' [(value)]='edit.model.wasteTypeId'
          (onValueChanged)='onWasteChangeEv($event)' (onInitialized)='onWasteCodeInitEv($event)' [searchEnabled]='true'
          [disabled]='!edit.model.workCenterId' fieldTemplate="inputField">
          <div *dxTemplate='let data of "inputField"'>
            <dx-text-box [text]='data ? data.code : null' placeholder='Selectează...' [elementAttr]='{ class: "custom-text-box"}'></dx-text-box>
            <dx-button icon='plus' (onClick)='openWasteTypeAddEv($event)' [disabled]='!edit.model.workCenterId'
              [elementAttr]='{ class: "custom-add"}'></dx-button>
          </div>
          <dx-validator validationGroup="customTValidation">
            <dxi-validation-rule type="required"></dxi-validation-rule>
          </dx-validator>
        </dx-select-box>
      </div>
    </dxi-item>
    <dxi-item [colSpan]='8' [label]="{text: 'Cantitate (' + (edit.model.wt_uom === 0 ? 'mc' : 'tone') + ')' }"
      dataField="quantity" editorType="dxNumberBox" [editorOptions]="{}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>

  <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
    <dxi-item [label]="{text: 'Tip stocare'}" dataField="wt_storageTypeId" editorType="dxSelectBox" [editorOptions]="{readOnly: true, dataSource: dsStorageType, valueExpr: 'id', displayExpr: ds.enumDisplay }">
    </dxi-item>
    <dxi-item [label]="{text: 'Data operațiune'}" dataField="date" editorType="dxDateBox" [editorOptions]="{ displayFormat: 'dd.MM.yyyy', width: '100%'}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: 'Tip deșeu'}" dataField="wt_hazardName" editorType="dxTextBox" [editorOptions]="{readOnly: true }">
    </dxi-item>
    <dxi-item [label]="{text: 'Sursă'}" dataField="source" editorType="dxSelectBox" [editorOptions]="{ dataSource: ds.source, valueExpr: 'id', displayExpr: 'value'}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
    <dxi-item [label]="{text: 'Denumire deșeu'}" dataField="wt_name" editorType="dxTextBox" [editorOptions]="{readOnly: true }">
    </dxi-item>
    <dxi-item [label]="{text: 'Evaluare'}" dataField="estimated" editorType="dxSelectBox" [editorOptions]="{ dataSource: ds.evaluationBool, valueExpr: 'id', displayExpr: 'value'}">
      <dxi-validation-rule type="required"></dxi-validation-rule>
    </dxi-item>
  </dxi-item>
</dx-form>